Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations

UpdateCasClient

UpdateCasClient

POST/zstack/v1/update/cas/client

Operation ID

UpdateCasClient

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • paramsstructure
    ObjectRequired

    paramsstructure request body object.

    • uuid
      StringRequired

      The resource UUID.

    • description
      String

      Optional. The detailed description of the resource.

    • name
      String

      Optional. The resource name.

    • casServerLoginUrl
      String

      Optional. casServerLoginUrl.

    • casServerUrlPrefix
      String

      Optional. casServerUrlPrefix

    • serverName
      String

      Optional. The mn address (http://{mn_ip:port}/8080).

    • loginType
      String

      Optional. The login type: cas-iam1 cas-ima2 oauth2-iam1 oauth2-iam2

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    CasClientInventoryRequired

    See inventory

    • casServerLoginUrl
      StringRequired

      casServerLoginUrl.

    • casServerUrlPrefix
      StringRequired

      casServerUrlPrefix.

    • serverName
      StringRequired

      The mn address (http://{mn_ip:port}/8080).

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • clientType
      StringRequired

      clientType.

    • loginType
      StringRequired

      The login type: cas-iam1 cas-ima2 oauth2-iam1 oauth2-iam2

    • loginMNUrl
      StringRequired

      The password-free url.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • accountUuid
      StringRequired

      The account UUID.

    • state
      CasStateRequired

      See state

      • Enabled
        CasStateRequired

        Whether the resource is enabled.

      • Disabled
        CasStateRequired

        The Disabled value.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • Change Time

    AddedRequest body fields paramsstructure
    View API